GetPluginInfoResponseProtoTranslator (Apache Hadoop YARN CSI 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.csi.translator, class: GetPluginInfoResponseProtoTranslator

Package org.apache.hadoop.yarn.csi.translator

# Class GetPluginInfoResponseProtoTranslator<A,B>

java.lang.Object
org.apache.hadoop.yarn.csi.translator.GetPluginInfoResponseProtoTranslator<A,B>

All Implemented Interfaces:
  `ProtoTranslator<org.apache.hadoop.yarn.api.protocolrecords.GetPluginInfoResponse,csi.v0.Csi.GetPluginInfoResponse>`

public class GetPluginInfoResponseProtoTranslator<A,B> extends Object implements ProtoTranslator<org.apache.hadoop.yarn.api.protocolrecords.GetPluginInfoResponse,csi.v0.Csi.GetPluginInfoResponse>
Protobuf message translator for GetPluginInfoResponse and Csi.GetPluginInfoResponse.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetPluginInfoResponseProtoTranslator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.hadoop.yarn.api.protocolrecords.GetPluginInfoResponse`
  `convertFrom(csi.v0.Csi.GetPluginInfoResponse messageB)`
  Convert message from type B to type A.
  `csi.v0.Csi.GetPluginInfoResponse`
  `convertTo(org.apache.hadoop.yarn.api.protocolrecords.GetPluginInfoResponse messageA)`
  Convert message from type A to type B.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetPluginInfoResponseProtoTranslator

    public GetPluginInfoResponseProtoTranslator()

- ## Method Details

  - ### convertTo

    public csi.v0.Csi.GetPluginInfoResponse convertTo(org.apache.hadoop.yarn.api.protocolrecords.GetPluginInfoResponse messageA) throws org.apache.hadoop.yarn.exceptions.YarnException
    Description copied from interface: `ProtoTranslator`
    Convert message from type A to type B.
    Specified by:
      `convertTo` in interface `ProtoTranslator<A,B>`
    Returns:
      messageB
    Throws:
      `org.apache.hadoop.yarn.exceptions.YarnException`

  - ### convertFrom

    public org.apache.hadoop.yarn.api.protocolrecords.GetPluginInfoResponse convertFrom(csi.v0.Csi.GetPluginInfoResponse messageB) throws org.apache.hadoop.yarn.exceptions.YarnException
    Description copied from interface: `ProtoTranslator`
    Convert message from type B to type A.
    Specified by:
      `convertFrom` in interface `ProtoTranslator<A,B>`
    Returns:
      messageA
    Throws:
      `org.apache.hadoop.yarn.exceptions.YarnException`